Skip to main content
GET
/
api
/
v0
/
workergroups
show workergroup
curl --request GET \
  --url https://console.vast.ai/api/v0/workergroups/ \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "results": [
    {
      "id": 123,
      "min_load": 1,
      "target_util": 0.9,
      "cold_mult": 3,
      "test_workers": 3,
      "template_hash": "abc123def456",
      "template_id": 456,
      "search_query": "verified=true rentable=true rented=false",
      "launch_args": "--env VAR=value",
      "gpu_ram": 24,
      "endpoint_name": "my_endpoint",
      "endpoint_id": 789,
      "api_key": "your_api_key_here",
      "created_at": "2023-10-01T12:00:00Z",
      "user_id": 456
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vastai-80aa3a82-fix-google-validation-docs-404s.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Response

Success response

success
boolean
Example:

true

results
object[]